<!DOCTYPE html>
<html>
<head>
	<title>Sample Envato Purchase Code Verifier</title>
	<link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>
	<div class="wrap">
		<!-- // Include the EnvatoPurchaseCodeVerifier.php file that holds the verifier class.--> 
		<?php require_once 'EnvatoPurchaseCodeVerifier.php'; ?>
		
		<!-- // Create your own access tokens at (https://build.envato.com/create-token)-->
		<?php 
		$access_tokens = [
			'wvu7SNMdwgILHoi18cPo1z12Om1d0xQT', // First token
			'FBvcKjSPlKcGTGhxM9HmeA2iTNaf2sRl', // Second token
			'EQlF1rlbCpShd52grYsEq0UNUL1JV2aS', // Third token
			// Add more tokens here
		];
		
		// Create new instance of EnvatoPurchaseCodeVerifier with array of tokens
		$purchase = new EnvatoPurchaseCodeVerifier($access_tokens);
		
		// You can add more tokens later if needed
		// $purchase->addAccessToken('another_token_here');
		?>

		<?php $buyer_purchase_code = filter_input(INPUT_POST, 'purchase_code', FILTER_DEFAULT); ?>

		<!-- check if user submits the form -->
		<?php if (!empty($buyer_purchase_code)) { ?>

			<?php $verified = $purchase->verified($buyer_purchase_code); ?>
			<!-- User purchase code is good!-->
			<?php if ($verified) { ?>
				<?php
					 $item_id = $verified->item->id; 
					 $item_name = $verified->item->name; 
					 $buyer = $verified->buyer; 
					 $license = $verified->license; 
					 $amount = $verified->amount; 
					 $sold_at = $verified->sold_at; 
					 $supported_until = $verified->supported_until;
				 ?>
				 <h1>Valid Purchase Code</h1>
				 <table>
					<tr><td>Item ID:</td><td><?php echo $item_id; ?></td></tr>
					<tr><td>Item Name:</td><td><?php echo $item_name; ?></td></tr>
					<tr><td>Buyer:</td><td><?php echo $buyer; ?></td></tr>
					<tr><td>License:</td><td><?php echo $license; ?></td></tr>
					<tr><td>Amount:</td><td><?php echo $amount; ?></td></tr>
					<tr><td>Sold At:</td><td><?php echo $sold_at; ?></td></tr>
					<tr><td>Supported Until:</td><td><?php echo $supported_until; ?></td></tr>
				</table>
			<?php } else { ?>
				<!-- Invalid purchase code -->
				<h1>Invalid Purchase Code</h1>
				<?php if (isset($_GET['debug'])) : ?>
					<h2>Debug Information:</h2>
					<?php foreach ($purchase->getDebugInfo() as $debug) : ?>
						<div class="debug-info">
							<h3>Token <?php echo $debug['token_index']; ?></h3>
							<p>Status: <?php echo $debug['http_status']; ?></p>
							<p>Error: <?php echo $debug['error_message']; ?></p>
						</div>
					<?php endforeach; ?>
				<?php endif; ?>
			<?php } ?>

		<?php } else { ?>
			<form action="index.php<?php echo isset($_GET['debug']) ? '?debug=1' : ''; ?>" method="post">
				<label>Purchase Code: </label>
				<input type="text" name="purchase_code" placeholder="Type or paste the buyer's purchase code here"><br>
				<input type="submit">
			</form>
		<?php } ?>
		
		<p><a href="?<?php echo isset($_GET['debug']) ? '' : 'debug=1'; ?>"><?php echo isset($_GET['debug']) ? 'Hide' : 'Show'; ?> Debug Info</a></p>
		
	</div>
</body>
</html>
